Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 613222 - saved searches drop-down should be specific to search subsystem
saved searches drop-down should be specific to search subsystem
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: SearchBar (Show other bugs)
3.0.0
All Linux
urgent Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
John Sanda
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-10 01:03 EDT by Joseph Marques
Modified: 2010-08-12 12:51 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:51:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2010-07-10 01:03:33 EDT
Right now, all saved searches are displayed on every page the search bar is nested within.  However, when the user is on the resource browser, the drop-down should only display resource-specific saved searches.  Likewise, when the user is on the group browser, the drop-down should only display group-specific saved searches.
Comment 1 Joseph Marques 2010-07-10 02:52:55 EDT
commit 913a7b533b15a0ad5e64659bb722d913641d7d09
Author: Joseph Marques <joseph@redhat.com>
Date:   Sat Jul 10 01:07:10 2010 -0400

BZ-613222: only display saved searches for the current/active search subsystem
Comment 2 John Sanda 2010-07-12 15:38:36 EDT
Testing on build 139 of ci-rhq-release hudson job.

On the Resources tab I created a saved search named 'JBossAS Servers' with the pattern,

type="JBossAS Server"

It was available on all of the Resource subtabs as as from the 'Resources Saved Searches' menu. It was not accessible on the Groups tab nor on any of its subtabs. 

On the Groups tab I created a saved search named 'down groups' with the pattern,

availability="down"

I was able to access the saved search on each of the Groups subtabs as well as from the 'Groups Saved Searches' menu. My group saved search was not accessible on any of the Resources (sub)tabs nor from the 'Resources Saved Searches' menu.

Marking bug verified.
Comment 3 Corey Welton 2010-08-12 12:51:43 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.